## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiNode

### Document::ezcDocumentWikiNode

### Class ezcDocumentWikiNode

Struct for Wiki document document abstract syntax tree nodes

Source for this file: /Document/src/document/wiki/node.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentWikiInlineNode | Struct for Wiki document inline abstract syntax tree nodes
ezcDocumentWikiBlockLevelNode | Struct for Wiki document block level abstract syntax tree nodes

### Member Variables

public int | `$line` Line of node in source file.
public mixed | `$nodes = array()` Child nodes
public int | `$position` Character position of node in source file.
public ezcDocumentWikiToken | `$token = null` Optional reference to token, not available for all nodes.

### Method Summary

public void | `__construct( $token , $type )` Construct Wiki node

### Methods

#### __construct

void __construct( ezcDocumentWikiToken $token , int $type )

Construct Wiki node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$token` | ezcDocumentWikiToken |
`$type` | int |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentWikiTableCellNode::__construct()` | Construct Wiki node
`ezcDocumentWikiEnumeratedListNode::__construct()` | Construct Wiki node
`ezcDocumentWikiBulletListNode::__construct()` | Construct Wiki node
`ezcDocumentWikiEnumeratedListItemNode::__construct()` | Construct Wiki node
`ezcDocumentWikiBlockquoteNode::__construct()` | Construct Wiki node
`ezcDocumentWikiTitleNode::__construct()` | Construct Wiki node
`ezcDocumentWikiBulletListItemNode::__construct()` | Construct Wiki node
`ezcDocumentWikiSectionNode::__construct()` | Construct Wiki node
`ezcDocumentWikiPluginNode::__construct()` | Construct Wiki node

Documentation generated by phpDocumentor 1.4.3